Subject: Re: bug#71700: The Archiving functionality of guix lint should be opt-in and Documented more prominently

From: Msavoritias <[email-masked]>
Date: Sat, 22 Jun 2024 17:24:19 +0300

On Sat, 22 Jun 2024 09:21:01 -0400
Richard Sent <[email-masked]> wrote:

> I think channel level configuration of some form for code archival is a
> good idea so individual channels can choose to disable it. I also agree
> that we should make the fact that guix lint does archival more
> prominent.
> 
> I disagree with a statement that permission is required, but I'll avoid
> rehashing the discussion ongoing in guix-devel. [1]
> 
> I think there is a good reason to support disabling archival at the
> channel level. Simon, do you think your patch can/will manage that?

That is still missing the usage of people wanting to run `guix lint` without having a channel.
A channel level mechanism would be nice indeed but we still need a way to account for the archiving functionality for people who dont have channels or dont run channels.
The proposal of making it explicitely enabled would work as a solution for that use case.
That way the channel configuration would be to enable it instead of disabling it. opt-in/opt-out and all that.

It also avoids the mistake of not realizing it exists or is enabled and accidentally somebodys code ends up in SWH without them meaning too.
Not everybody reads the manual after all and we shouldnt do stuff we havent been explicitly required to do.

In short I would say a channel level mechanism would help to "automate" the opt-in of running `--archival` everywhere with `guix lint`.

MSavoritias

> > Somehow I disagree with this.  And I propose the generic approach that
> > allows to exclude any checkers from the package definition using the
> > field properties.
> > 
> > See <https://issues.guix.gnu.org/71697#1>.  
> 
> [1]: https://lists.gnu.org/archive/html/guix-devel/2024-06/msg00192.html
>